

var tm_login = new tabmanager();

var _panel_log = {
    pan: "#listalog1",
    intro: "txtUsuario_intro();",
    init: "txtUsuario_init();"
}

var _panel_pass = {
    pan: "#listalog2",
    esc: "txtPassword_esc();",
    intro: "txtPassword_intro();",
    init: "txtPassword_init();"
}



function send_login(){
    var cod = $("#txtUsuario").val();
    var pass = $("#txtPassword").val();
    
    _login.send_login(cod, pass);
}


_login.send_login = function(cod, pass){
    if (isNaN(cod)){
        $(".login_error").show();
        return false;
    }
    
    $.ajax({
        url : _login.URL + "/x_send_login",
        data : {
            cod : cod,
            pass : pass
        },
        type : "post",
        dataType : "json",
        success : function(obj){
                
                console.dir(obj);
                
                
                if (obj.COD > 0){
                    _login.finish(obj);
                }
                
                if (obj.COD)
                    location.href = "main";
                else
                    $(".login_error").show();

        }
    });
}


$(document).ready(function(){

    tm_login.add(_panel_log);
    tm_login.add(_panel_pass);
    tm_login.reset();
    tm_login.not_tab();
    tm_login.set_tab(_panel_log);
    
    
    
    $('#txtPassword').keydown(function() {
        $(".login_error").hide();
    });
    
});


function txtUsuario_intro(){
    tm_login.reset();
    tm_login.not_tab();
    tm_login.set_tab(_panel_pass);
}

function txtUsuario_init(){
    $('#txtUsuario').val("").select();
    $('#txtPassword').val("");
    $(".login_error").hide();
}

function txtPassword_init(){
    $('#txtPassword').select();
}
function txtPassword_esc(){
    tm_login.reset();
    tm_login.not_tab();
    tm_login.set_tab(_panel_log);
}


function txtPassword_intro(){
    send_login();    
}

function abrir_remember(){
    
   $(".divbiglog").fadeToggle(300,function(){
       $("#email").select();
   });
}



function recordar_clave(){
    $(".msgajax").fadeIn();
//    $(".button_form button").attr("disabled", "disabled");
            
    var email = $("#email").val();
  
    _url_controller = 'login';
        
    $.ajax({
        url : _url_controller + "/x_recordar_clave",
        data : {
            email     : email
        },
        
        type : "post",
        success : function(data){
            $(".msgajax").fadeOut();
            if (parseInt(data)==0){
                //error
                msg = 'Error en los Datos. Intente otra vez.';
                //limpiar y foco
                setTimeout(function(){
                        var msg = 'Los Datos son incorrectos. Intente otra vez.';
                        $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('error_msg').fadeIn(300);
                        $(".pop_changepass").find(":input").val("");
                        $("#email").select();
//                        setTimeout(function(){
//                            $(".div_msg").html(msg).removeClass('exito_msg error_msg').fadeOut(300);
//                        },2000);
                        
                        
                },1000);
            }
            else{
                msg = 'Tu Clave fue enviada a ' + data;
//                $('.pop_changepass button').attr('disabled','disabled');
                $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('exito_msg').fadeIn(300);
//                setTimeout(function(){
//                    logout();
//                },3000);
            }
        }
    });

}